/****************************************************************************
** Form interface generated from reading ui file './maindlg.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef MAINDLG_H
#define MAINDLG_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>
#include "matdata.h"
#include "curvedialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QGroupBox;
class QLabel;
class QLineEdit;
class QSpinBox;
class QPushButton;
class KListView;
class QListViewItem;

class maindlg : public QDialog
{
    Q_OBJECT

public:
    maindlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~maindlg();

    QGroupBox* grpInput;
    QLabel* textLabelX;
    QLabel* textLabelY;
    QLabel* textLabel1;
    QLabel* textLabel2;
    QLabel* textLabel3;
    QLabel* textLabel3_2;
    QLabel* labelMaxNr;
    QLineEdit* inputX;
    QLineEdit* inputY;
    QLabel* textLabel5;
    QLabel* labelTotalNr;
    QSpinBox* boxNr;
    QPushButton* btnModify;
    QPushButton* btnDelete;
    KListView* coordlist;
    QPushButton* btnAdd;
    QPushButton* btnSave;
    QPushButton* btnShowGraph;
    QPushButton* btnLoad;
    QPushButton* btnClose;
    QGroupBox* groupBox2;
    KListView* taglist;
    QLabel* pixmapLabel1;
    QLineEdit* le_sigma;
    QLineEdit* le_sigma_star;
    QLabel* pixmapLabel2;

    curvedialog *curveDialog;
    bool okY;
    double dY;
    bool okX;
    matdata *matData;
    double dX;

public slots:
    virtual void inputX_textChanged( const QString & inpX );
    virtual void inputY_textChanged( const QString & inpY );
    virtual void add_coord();
    virtual void coordlist_clicked( QListViewItem * );
    virtual void init();
    virtual void btnDelete_clicked();
    virtual void btnModify_clicked();
    virtual void coordlist_changed();
    virtual void index_changed();
    virtual void init_matdata( matdata * pmatdata );
    virtual void set_coefs();
    virtual void showgraph();
    virtual void btnSave_clicked();
    virtual void btnLoad_clicked();
    virtual bool event( QEvent * e );

protected:

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;

};

#endif // MAINDLG_H
